#!/usr/bin/env python

"""
Stop writing the verbosity stuff in each program!

     Copyright (C) 2005  Kurt Schwehr

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

$Id: pmag_verbosity.py,v 1.1 2005/10/13 18:06:51 schwehr Exp $

"""

__version__ = '$Revision: 1.1 $'.split()[1] # See man ident
__date__ = '$Date: 2005/10/13 18:06:51 $'.split()[1]
__author__ = 'Kurt Schwehr'
__credits__ = 'DAC and DSW via ARC and CMU'

BOMBASTIC= 4
VERBOSE  = 3
TRACE    = 2
TERSE    = 1
ALWAYS   = 0


# 
def addVerbosityOptions(parser):
    """
    Added the verbosity options to a parser
    """
    parser.add_option('-v','--verbose',action="count",dest='verbosity',default=0,
                        help='how much information to give.  Specify multiple times to increase verbosity')
    parser.add_option('--verbosity',dest='verbosity',type='int',
                        help='Specify verbosity.  Should be in the range of '
                        +str(ALWAYS)+'...'+str(BOMBASTIC)+' (None...Bombastic)')
    parser.add_option('--noisy',dest='verbosity', action='store_const', const=2*BOMBASTIC,
                        help='Go for the max verbosity ['+str(2*BOMBASTIC)+']')

# FIX: what to do for a main?  Perhaps run a test?

